%define name	       python-enthought-chaco2
%define version        2.0.5
%define release %mkrel 1
%define SOURCE         %(echo "-a`seq -s ' -a' 0 2`")

Summary: Python chaco2 package from Enthought
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: enthought.chaco2-2.0.5.tar.lzma
Source1: enthought.enable2-2.0.5.tar.lzma
Source2: enthought.kiva-2.0.4.tar.lzma
License: BSD 
Group:   Development/Python
Url: 	 http://code.enthought.com/projects/chaco
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python >= 2.3, python-numpy >= 1.0.2
Requires: python-enthought-traits >= 2.0.5, python-enthought-traits-ui >= 2.0.5
Requires: python-reportlab, python-imaging, wxPython >= 2.6.0
BuildRequires: python-devel >= 2.3, python-setuptools >= 0.6c6
BuildRequires: freetype-devel, python-numpy-devel >= 1.0.2
BuildRequires: swig >= 1.3.24, libx11-devel

%description
Chaco is a Python plotting application toolkit developed by Enthought
that facilitates the development of plotting applications at all
levels of complexity, from simple scripts with hard-coded data to
large plotting programs with complex data interrelationships and a
multitude of interactive tools.

This RPM contains the following Enthought components: 
* chaco2
* enable2
* kiva

%prep
%setup -q -c -T
%setup -q -T -D %SOURCE

%build
for d in enthought.*; do 
    pushd $d 
    %__python setup.py build 
    popd 
done

%install
%__rm -rf %{buildroot}

%__mkdir -p docs
for d in enthought.*; do
    pushd $d
    %__python setup.py install --root=%{buildroot}

    docdir=`echo $d | sed 's/enthought\.\(.*\)\-.*/\1/'`
    %__mkdir -p ../docs/$docdir
    ls *.txt >/dev/null 2>&1 && cp -f *.txt ../docs/$docdir
    [ -d docs ] && cp -rf docs ../docs/$docdir
    [ -d examples ] && cp -rf examples ../docs/$docdir
    [ -d scripts ] && cp -rf scripts ../docs/$docdir
    popd
done

pushd %{buildroot}%{py_sitedir}/enthought/
%__python -c "import compileall; compileall.compile_dir('./')"
%__python -O -c "import compileall; compileall.compile_dir('./')"
popd

# Needed because the python setup.py install generates bad pth files:
%__rm -f %{buildroot}%{py_sitedir}/*.pth

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%py_sitedir/enthought*
%py_platsitedir/enthought*



%changelog
* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 2.0.5-1mdv2009.0
+ Revision: 237720
- import python-enthought-chaco2


* Tue Jul 15 2008 Lev Givon <lev@mandriva.org> 2.0.5-1mdv2008.1
- Package for Mandriva.
